Skip to main content
PATCH
Rename API token
You are reading the docs of Galtea 5.11. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

apiTokenId
string
required

Body

application/json
name
string
required
Example:

"production-key"

Response

API token renamed successfully

id
string
required
Example:

"apiToken_abc123"

name
string
required
Example:

"ci-pipeline"

keyId
string
required

Public identifier of the key (the uuid in gsk__)

createdAt
string<date-time>
required
keyPreview
string
required

Display-only public head of the key (gsk_<keyId>). Contains no secret; safe to show truncated as gsk_<keyId>….

Example:

"gsk_3d4d7d38-a5ec-4d9f-94a6-5a3f61db9d7d"